#!/usr/bin/env python

patternfile = 'AOO-forum-logo-__.svg'
descriptionsfile = 'nl-texts.txt'
outputfile = 'out/AOO-forum-logo-%s.svg'

with open(patternfile) as p:
    pat = p.read()

pat_text = '[____]'
pat_spacing = '[====]'

with open(descriptionsfile) as p:
    for x in p.readlines():
        langcode,langname,thetext,spacing = x.strip().split('\t')
        nlpat = pat.replace(pat_text, thetext).replace(pat_spacing, spacing)
        with open(outputfile % langcode, 'w') as q:
            q.write(nlpat)
